use <text_on.scad>
use <TriplexSans-CondRegOsF.otf>


customText="•Super Awesome Award•";
customTextSize=5; //was 5
customTextRadius=-31; //was -31 (negative puts it facing "out")
customTextRotation=0; //
customTextSpacing=1;
//customTextFont="Arial:style=Bold";
customTextFont="Liberation Sans";

mainText="DonationCoder.com";
mainTextSize=7; //was 7
mainTextRadius=32; //to make it face out, make this negative //was 32
mainTextRotation=0;  //... and this 180. //was 0
mainTextSpacing=1.1;
//mainTextFont="Arial:style=Black";
mainTextFont="Liberation Mono:style=Bold";

$fn=100;
$fa=5;

difference(){
union(){
difference(){
union(){ //things to add
    cylinder(r1=39,r2=38,h=5); //main coin, slightly tapered up

translate([0,0,5]){text_on_circle( //main text
    t=mainText,
    size=mainTextSize,
    r=mainTextRadius,
    rotate=mainTextRotation,
    font=mainTextFont,
    spacing=mainTextSpacing,
    extrusion_height=2
    );}

text_on_cylinder( //around the rim
    t="01101101 01101111 01110101 01110011 01100101 01110010•",
    r=38.5,
    h=8.3,
    size=8,
    font="Triplex:style=Cond Reg Oldstyle", //this font has a "1" without the hook at the top
    spacing=.69,
    extrusion_height=1
);

}
union(){ //things to subtract
    
translate([0,0,4]){cylinder(r=25,h=2);} //center indentation

translate([0,0,5]){text_on_circle( //indented custom text
    t=customText,
    size=customTextSize,
    r=customTextRadius,
    rotate=customTextRotation,
    spacing=customTextSpacing,
    font=customTextFont
    );}
}

//now we're "adding" again

//cody for bottom
rotate([0,180,0]){scale([1.2,1.2,1.2]){translate([-33,-21,-1]){ //because of rotation, z is backwards.
    linear_extrude(height = 2){ import("cody-beak-coin.dxf");}}}}}


//simple platform for Cody
translate([0,0,5]){cylinder (r=2,h=30);} 

//dollar sign
/*translate([-20.5,-20,2]){
linear_extrude(height=3){
    scale([4.5,4.2,1]){
        text(text="$",font="Arial:style=Black",center="true");
    }}
}*/ 

//This is the gear.
translate([0,0,3]){cylinder (r=18,h=2);}
for(a=[0:30:150])rotate([0,0,a]){translate([-23,-2.5,3]){cube(size=[46,5,2]);}}


//outside rim
translate([0,0,5]){difference(){
    cylinder(r=38,h=.6);
    translate([0,0,-.1]){cylinder(r=37.4,h=.8);}//the translate just makes the "preview" better.
}}
    

}
//and these are subtracted

//cylinder(r=10,h=10,$fn=6); this is a recess for a peg
}
